@charset "UTF-8";
body {
	padding: 6em 0;
	position: relative;
	display: flex;
}

#Leftbar, #Rightbar {
	flex: 0 1 20%;
	position: sticky;
	top: 0;
	height: 100%;
	overflow-x: auto;
	&>* {
		width: calc(100% - 2em);
		padding: 1em;
	}
}
#Leftbar,#Rightbar { &>* {
	border-bottom: 1px solid #0007;
	&:last-child { border-bottom: initial; }
} }
#Leftbar {
	.toc>nav {
		max-height: 40em;
		overflow-y: auto;
	}
	&>* { right: 0; }
}
#Rightbar {
	.langsel>ul {
	  max-height: 20em;
	  overflow-y: auto;
	}
	&>* { left: 0; }
}
#Content {
	flex: 0 1 60%;
	min-width: 0;
}
header,footer {
	position: absolute;
	left: 0;
	right: 0;
	height: 5rem;
}
header { top: 0; }